function hc=dxyiso
% d_xy function, slice and isosurface

xv = linspace(-2.4,2.4,35);
yv = linspace(-2,1.3,25);
[x,y,z] = meshgrid(xv,xv,yv);
v = x.*x.*y.*y.*exp(-x.*x-y.*y-2*z.*z);
hs  =slice(x,y,z,v,[1],[1],[0]);
set(hs(1),'XData',get(hs(1),'XData')+1.4);
set(hs(2),'YData',get(hs(2),'YData')+1.4);
set(hs(3),'ZData',get(hs(3),'ZData')-2);
hold on;
colormap(flipud(colormap(gray)));
xv = linspace(-2.4,2.4,70);
yv = linspace(-1.5,1.5,50);
[x,y,z] = meshgrid(xv,xv,yv);
v = x.*x.*y.*y.*exp(-x.*x-y.*y-2*z.*z);
p=patch(isosurface(x,y,z,v,0.04));
set(p,'FaceColor',0.8*[1 1 1]);
set(p,'EdgeColor','none');

axis equal, axis off;
view(-55,20);
camlight; lighting gouraud;
set(hs,'FaceLighting','none');
set(gcf,'Position',[100 50 750 600]);
set(gca,'Position',[0.01 0 0.98 1]);
hold off;
