function f=modemov(aviname)
% movie of oscillation modes

if nargin==0, aviname='modes.avi'; end;
n=40;
for i=1:n
    phi=2*pi*i/n;
    mode(0,phi);
    mode(1,phi);
    mode(2,phi);
    mode(3,phi);
    axis equal; axis off; light; lighting gouraud;
    view(70,15);
    hold off;
    f(i)=getframe;
end;
if nargout==0, 
    movie2avi(f, aviname, 'quality',95);
end;
