function [xi,yi,zi]=lnread
% read Li conc. data file

[x,y,z]=textread('130695.dat','%*f%f%f%*f%*f%f%*f',...
                 'headerlines',2);
x=x/1000;
y=(y-1500)/2000;
z=(z/199000+2.9)*49.5/3;
xp=linspace(min(x),max(x),30);
yp=linspace(min(y),max(y),50);
[xi,yi,zi]=griddata(x,y,z,xp,yp','cubic');
