function lnsurf3
% plot Li concentration

[xi,yi,zi]=lnread;

xp=linspace(min(min(xi)),max(max(xi)),60);
yp=linspace(min(min(yi)),max(max(yi)),400);
[x,y]=meshgrid(xp,yp);
z=interp2(xi,yi,zi,x,y,'linear');
h=surf(x,y,z);
lnannot2('shading interp');
