function h=cdtransz
% surface of CD with z-dependent transparency

z=cdreadf;
h=dispcd(z);
set(h,'AlphaData',-z,'FaceAlpha','flat');
zmax=max(max(-z));
zmin=min(min(-z));
amax=zmax+0.2*(zmax-zmin);
amin=zmin-0.2*(zmax-zmin);
set(gca,'ALim',[amin,amax]);
