function h=conch3
% conchoid 3

phi=linspace(0,6*pi,70);
theta=linspace(0,2*pi,41);
[p,t]=meshgrid(phi,theta);
R0=p; r0=p;
r=R0-r0.*cos(t);
x=r.*cos(p);
y=r.*sin(p);
z=sin(t).*r0;
z=z+0./(z<=eps);
h=surf(x,y,z);
set(h,'FaceColor',0.8*[1 1 1]);
set(h,'EdgeAlpha',0.3);
axis equal, axis off;
axis ([-25 32 -30 25 -20 0]);
view(100,30);
camlight, lighting gouraud;
set(gcf,'Position',[100 50 700 500]);
set(gca,'Position',[0 0 1 1]);
